Package twisted :: Package conch :: Module interfaces :: Class ISession

[frames | no frames]

## Class ISession

    Interface --+
                |
               ISession

Method Summary
| ``closed`(self)` Called when the session is closed.
| ``execCommand`(self, proto, command)` Execute a command.
| ``getPty`(self, term, windowSize, modes)` Get a psuedo-terminal for use by a shell or command.
| ``openShell`(self, proto)` Open a shell and connect it to proto.
| ``windowChanged`(self, newWindowSize)` Called when the size of the remote screen has changed.

Method Details

### closed(self)

Called when the session is closed.

### execCommand(self, proto, command)

Execute a command.

proto should be a ProcessProtocol instance.

### getPty(self, term, windowSize, modes)

Get a psuedo-terminal for use by a shell or command.

If a psuedo-terminal is not available, or the request otherwise fails, raise an exception.

### openShell(self, proto)

Open a shell and connect it to proto.

proto should be a ProcessProtocol instance.

### windowChanged(self, newWindowSize)

Called when the size of the remote screen has changed.

Generated by Epydoc 2.0 on Sat May 15 20:07:57 2004 | http://epydoc.sf.net